## Class InstVar

    java.lang.Object
      |
      +--Statement
            |
            +--ExprStmt
                  |
                  +--Expr
                        |
                        +--InstVar

public class InstVar
extends Expr

Field Summary
`private Expr` `expr`
`private java.lang.String` `type`
`private UsedId` `usedid`

Constructor Summary
`InstVar(java.lang.String n, java.lang.String t)`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` `get_codegen_UsedId()`
`java.lang.String` `get_Name()`
`void` `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`

Methods inherited from class Expr
`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId`

Methods inherited from class ExprStmt
`get_Type`

Methods inherited from class Statement
`print_rec, print_rec, print_rec, print_rec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expr

    private Expr expr

### usedid

    private UsedId usedid

### type

    private java.lang.String type

Constructor Detail

### InstVar

    public InstVar(java.lang.String n,
                   java.lang.String t)

Method Detail

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)

  Specified by:
    `sc_check` in class `Expr`

### get_Name

    public java.lang.String get_Name()

  Specified by:
    `get_Name` in class `Expr`

### get_codegen_UsedId

    public java.lang.String get_codegen_UsedId()

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
    `JVMCodeException`